Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Can't get VMware to build the vmmon module.
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Icethepenguin
Apprentice
Apprentice


Joined: 01 Nov 2003
Posts: 252
Location: Loganville, Ga

PostPosted: Sun Oct 19, 2008 6:16 pm    Post subject: Can't get VMware to build the vmmon module. Reply with quote

This is what I'm getting as a read out:

Code:
What is the location of the directory of C header files that match your running
kernel? [/lib/modules/2.6.23-gentoo-r9/build/include]

Extracting the sources of the vmmon module.

Building the vmmon module.

Using 2.6.x kernel build system.
make: Entering directory `/tmp/vmware-config3/vmmon-only'
make -C /lib/modules/2.6.23-gentoo-r9/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
make[1]: Entering directory `/usr/src/linux-2.6.23-gentoo-r9'
  CC [M]  /tmp/vmware-config3/vmmon-only/linux/driver.o
/tmp/vmware-config3/vmmon-only/linux/driver.c: In function 'LinuxDriver_Ioctl':
/tmp/vmware-config3/vmmon-only/linux/driver.c:1715: error: 'struct mm_struct' has no member named 'dumpable'
make[2]: *** [/tmp/vmware-config3/vmmon-only/linux/driver.o] Error 1
make[1]: *** [_module_/tmp/vmware-config3/vmmon-only] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.23-gentoo-r9'
make: *** [vmmon.ko] Error 2
make: Leaving directory `/tmp/vmware-config3/vmmon-only'
Unable to build the vmmon module.

For more information on how to troubleshoot module-related problems, please
visit our Web site at "http://www.vmware.com/download/modules/modules.html" and
"http://www.vmware.com/support/reference/linux/prebuilt_modules_linux.html".

Execution aborted.

Proxemics vmware-distrib #             


I've been fighting this for a while and I really want to get it installed because (1) I actually purchased the software from vmware and (2) I need the different OS I can install in vmware in the OS labs and other classes I'm taking.

Thanks in advance,
Kevin
_________________
Sometimes you have to take that leap, then build your wings on the way down.
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Sun Oct 19, 2008 9:00 pm    Post subject: Reply with quote

Why not just emerge it?

Code:
emerge -va vmware-workstation vmware-modules

(just assuming you're talking about workstation)
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
Icethepenguin
Apprentice
Apprentice


Joined: 01 Nov 2003
Posts: 252
Location: Loganville, Ga

PostPosted: Mon Oct 20, 2008 12:25 am    Post subject: Reply with quote

That does absolutely nothing.

You can't emerge vmware-workstation from portage.

If there is a cvs maybe.

I have the 6.0.0 version from my CD that I was sent from vmware and I just can't get past the above part, making the modules.
_________________
Sometimes you have to take that leap, then build your wings on the way down.
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Mon Oct 20, 2008 10:49 am    Post subject: Reply with quote

Icethepenguin wrote:
That does absolutely nothing.

You can't emerge vmware-workstation from portage.

Sure you can. See /usr/portage/app-emulation/vmware-*

Code:
* app-emulation/vmware-workstation
     Available versions:  5.5.5.56455!f!s[1] 5.5.7.91707!f!s (~)5.5.8.108000!f!s (~)6.0.2.59824!f!s[1] (~)6.0.3.80004!f!s[1] (~)6.0.4.93057!f!s (~)6.0.5.109488!f!s
     Homepage:            http://www.vmware.com/products/desktop/ws_features.html
     Description:         Emulate a complete PC on your PC without the usual performance overhead of most emulators

* app-emulation/vmware-modules
     Available versions:  1.0.0.11-r1[1] 1.0.0.13-r1[1] 1.0.0.15-r1 1.0.0.15-r1[1] (~)1.0.0.16-r1 (~)1.0.0.16-r1[1] (~)1.0.0.17 (~)1.0.0.17-r1 (~)1.0.0.17-r1[1] [m](~)1.0.0.18[1] (~)1.0.0.20 (~)1.0.0.22 {kernel_linux}
     Homepage:            http://www.vmware.com/
     Description:         Modules for Vmware Programs


If you purchased a license anyway, download latest 6.0.5 from http://vmware.com/download/ws/lic_605_lin.html , put the tar.gz in /usr/portage/distfiles, unmask it for ~arch if needed, emerge it, and there ya go.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
Icethepenguin
Apprentice
Apprentice


Joined: 01 Nov 2003
Posts: 252
Location: Loganville, Ga

PostPosted: Mon Oct 20, 2008 2:09 pm    Post subject: Reply with quote

Code:
Proxemics gnome-panel # emerge vmware-workstation
Calculating dependencies... done!
>>> Verifying ebuild Manifests...

>>> Emerging (1 of 1) app-emulation/vmware-workstation-5.5.7.91707 to /
 * vmware-any-any-update115.tar.gz RMD160 SHA1 SHA256 size ;-) ...                                                         [ ok ]
>>> Downloading 'http://download3.vmware.com/software/wkst/VMware-workstation-5.5.7-91707.tar.gz'
--2008-10-20 10:05:34--  http://download3.vmware.com/software/wkst/VMware-workstation-5.5.7-91707.tar.gz
Resolving download3.vmware.com... 72.246.30.91, 72.246.30.66
Connecting to download3.vmware.com|72.246.30.91|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2008-10-20 10:05:35 ERROR 404: Not Found.

>>> Downloading 'http://download2.vmware.com/software/wkst/VMware-workstation-5.5.7-91707.tar.gz'
--2008-10-20 10:05:35--  http://download2.vmware.com/software/wkst/VMware-workstation-5.5.7-91707.tar.gz
Resolving download2.vmware.com... 72.246.25.82, 72.246.25.88
Connecting to download2.vmware.com|72.246.25.82|:80... connected.
HTTP request sent, awaiting response... 403 Forbidden
2008-10-20 10:05:35 ERROR 403: Forbidden.


!!! app-emulation/vmware-workstation-5.5.7.91707 has fetch restriction turned on.
!!! This probably means that this ebuild's files must be downloaded
!!! manually.  See the comments in the ebuild for more information.

!!! The following are listed in SRC_URI for vmware-workstation:
!!!   mirror://vmware/software/wkst/VMware-workstation-5.5.7-91707.tar.gz
!!!   http://download.softpedia.ro/linux/VMware-workstation-5.5.7-91707.tar.gz
!!!   mirror://gentoo/vmware-any-any-update115.tar.gz
!!!   http://platan.vc.cvut.cz/ftp/pub/vmware/vmware-any-any-update115.tar.gz
!!!   http://platan.vc.cvut.cz/ftp/pub/vmware/obsolete/vmware-any-any-update115.tar.gz
!!!   http://ftp.cvut.cz/vmware/vmware-any-any-update115.tar.gz
!!!   http://ftp.cvut.cz/vmware/obsolete/vmware-any-any-update115.tar.gz
!!!   http://knihovny.cvut.cz/ftp/pub/vmware/vmware-any-any-update115.tar.gz
!!!   http://knihovny.cvut.cz/ftp/pub/vmware/obsolete/vmware-any-any-update115.tar.gz
 * Fetch failed for 'app-emulation/vmware-workstation-5.5.7.91707'

 * Messages for package app-emulation/vmware-workstation-5.5.7.91707:

 * Fetch failed for 'app-emulation/vmware-workstation-5.5.7.91707'
Proxemics gnome-panel #

_________________
Sometimes you have to take that leap, then build your wings on the way down.
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Mon Oct 20, 2008 5:55 pm    Post subject: Reply with quote

That's for vmware 5.5 - a bit outdated. No idea why vmware 6 isn't marked as stable in portage, but until it is, you'll have to accept the ~arch keyword for it.
Your vmware 6 license wouldn't work with 5.5 anyway.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum